Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class SyntheticModuleDef

    java.lang.Object
      org.apache.tapestry5.internal.SyntheticModuleDef

All Implemented Interfaces:
  ModuleDef

    public class SyntheticModuleDef

extends java.lang.Object
implements ModuleDef

A synthetic module definition, used to mix in some additional "pre-built" service configuration contributions.

Constructor Summary
`SyntheticModuleDef(ContributionDef... contributionDefs)`

Method Summary
`java.lang.Class` | `getBuilderClass()` Returns null.
`java.util.Set<ContributionDef>` | `getContributionDefs()` Returns the configured set.
`java.util.Set<DecoratorDef>` | `getDecoratorDefs()` Returns an empty set.
`java.lang.String` | `getLoggerName()` Returns "SyntheticModule".
`ServiceDef` | `getServiceDef(java.lang.String serviceId)` Returns null.
`java.util.Set<java.lang.String>` | `getServiceIds()` Returns an empty set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyntheticModuleDef

    public SyntheticModuleDef(ContributionDef... contributionDefs)

Method Detail

### getBuilderClass

    public java.lang.Class getBuilderClass()

  Returns null.

  Specified by:
    `getBuilderClass` in interface `ModuleDef`

### getContributionDefs

    public java.util.Set<ContributionDef> getContributionDefs()

  Returns the configured set.

  Specified by:
    `getContributionDefs` in interface `ModuleDef`

### getDecoratorDefs

    public java.util.Set<DecoratorDef> getDecoratorDefs()

  Returns an empty set.

  Specified by:
    `getDecoratorDefs` in interface `ModuleDef`

### getLoggerName

    public java.lang.String getLoggerName()

  Returns "SyntheticModule".

  Specified by:
    `getLoggerName` in interface `ModuleDef`

### getServiceDef

    public ServiceDef getServiceDef(java.lang.String serviceId)

  Returns null.

  Specified by:
    `getServiceDef` in interface `ModuleDef`
  Parameters:
    `serviceId` - the id of the service to retrieve (case is ignored)
  Returns:
    service definition or null if it doesn't exist

### getServiceIds

    public java.util.Set<java.lang.String> getServiceIds()

  Returns an empty set.

  Specified by:
    `getServiceIds` in interface `ModuleDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.